@import url(https://fonts.googleapis.com/css?family=Ubuntu+Mono:700);

progress {
  
 appearance: none;
 position: relative;
 overflow: hidden;
 width: 1.5em;
 height: 1em;
 padding: 0;
 border: none;
 font-family: "Ubuntu Mono", sans-serif;
 font-size: 120px;

}

progress.hidden {
  height: 0;
  
}

progress::before {
  content: attr(value);
  position: absolute;
  top:0; left: 0; right: 0; bottom: 0;
  text-align: center;
  font-size: 1.5em;
  line-height: .62em;
  color: hsla(290,60%,70%,0.3);
  background: linear-gradient( 
      hsla(290,100%,50%,0.3),
      hsla(0,0%,100%,.0) 70% ) 
      no-repeat center;
  background-position: inherit;
  -webkit-background-clip: text;
  background-clip: text;
}


progress::-webkit-progress-bar,
progress::-webkit-progress-value{
 background: transparent;
}

/* ------------------------------ */



html,
body {

 height: 100%; 
}
